Uses of Interface
org.apache.camel.builder.endpoint.dsl.TorchServeEndpointBuilderFactory.TorchServeEndpointBuilder
Packages that use TorchServeEndpointBuilderFactory.TorchServeEndpointBuilder
-
Uses of TorchServeEndpointBuilderFactory.TorchServeEndpointBuilder in org.apache.camel.builder.endpoint
Methods in org.apache.camel.builder.endpoint that return TorchServeEndpointBuilderFactory.TorchServeEndpointBuilderModifier and TypeMethodDescriptionStaticEndpointBuilders.torchserve(String path) TorchServe (camel-torchserve) Provide access to PyTorch TorchServe servers to run inference with PyTorch models remotely Category: ai Since: 4.9 Maven coordinates: org.apache.camel:camel-torchserve Syntax:torchserve:api/operationPath parameter: api (required) The TorchServe API There are 3 enums and the value can be one of: inference, management, metrics Path parameter: operation (required) The API operation There are 10 enums and the value can be one of: ping, predictions, explanations, register, scale-worker, describe, unregister, list, set-default, metricsStaticEndpointBuilders.torchserve(String componentName, String path) TorchServe (camel-torchserve) Provide access to PyTorch TorchServe servers to run inference with PyTorch models remotely Category: ai Since: 4.9 Maven coordinates: org.apache.camel:camel-torchserve Syntax:torchserve:api/operationPath parameter: api (required) The TorchServe API There are 3 enums and the value can be one of: inference, management, metrics Path parameter: operation (required) The API operation There are 10 enums and the value can be one of: ping, predictions, explanations, register, scale-worker, describe, unregister, list, set-default, metrics -
Uses of TorchServeEndpointBuilderFactory.TorchServeEndpointBuilder in org.apache.camel.builder.endpoint.dsl
Methods in org.apache.camel.builder.endpoint.dsl that return TorchServeEndpointBuilderFactory.TorchServeEndpointBuilderModifier and TypeMethodDescriptionTorchServeEndpointBuilderFactory.AdvancedTorchServeEndpointBuilder.basic()TorchServeEndpointBuilderFactory.endpointBuilder(String componentName, String path) TorchServeEndpointBuilderFactory.TorchServeEndpointBuilder.inferenceAddress(String inferenceAddress) The address of the inference API endpoint.TorchServeEndpointBuilderFactory.TorchServeEndpointBuilder.inferenceKey(String inferenceKey) The token authorization key for accessing the inference API.TorchServeEndpointBuilderFactory.TorchServeEndpointBuilder.inferencePort(int inferencePort) The port of the inference API endpoint.TorchServeEndpointBuilderFactory.TorchServeEndpointBuilder.inferencePort(String inferencePort) The port of the inference API endpoint.TorchServeEndpointBuilderFactory.TorchServeEndpointBuilder.listLimit(int listLimit) The maximum number of items to return for the list operation.The maximum number of items to return for the list operation.TorchServeEndpointBuilderFactory.TorchServeEndpointBuilder.listNextPageToken(String listNextPageToken) The token to retrieve the next set of results for the list operation.TorchServeEndpointBuilderFactory.TorchServeEndpointBuilder.managementAddress(String managementAddress) The address of the management API endpoint.TorchServeEndpointBuilderFactory.TorchServeEndpointBuilder.managementKey(String managementKey) The token authorization key for accessing the management API.TorchServeEndpointBuilderFactory.TorchServeEndpointBuilder.managementPort(int managementPort) The port of the management API endpoint.TorchServeEndpointBuilderFactory.TorchServeEndpointBuilder.managementPort(String managementPort) The port of the management API endpoint.TorchServeEndpointBuilderFactory.TorchServeEndpointBuilder.metricsAddress(String metricsAddress) The address of the metrics API endpoint.TorchServeEndpointBuilderFactory.TorchServeEndpointBuilder.metricsName(String metricsName) Names of metrics to filter.TorchServeEndpointBuilderFactory.TorchServeEndpointBuilder.metricsPort(int metricsPort) The port of the metrics API endpoint.TorchServeEndpointBuilderFactory.TorchServeEndpointBuilder.metricsPort(String metricsPort) The port of the metrics API endpoint.The name of model.TorchServeEndpointBuilderFactory.TorchServeEndpointBuilder.modelVersion(String modelVersion) The version of model.TorchServeEndpointBuilderFactory.TorchServeEndpointBuilder.registerOptions(String registerOptions) Additional options for the register operation.TorchServeEndpointBuilderFactory.TorchServeEndpointBuilder.registerOptions(org.apache.camel.component.torchserve.client.model.RegisterOptions registerOptions) Additional options for the register operation.TorchServeEndpointBuilderFactory.TorchServeEndpointBuilder.scaleWorkerOptions(String scaleWorkerOptions) Additional options for the scale-worker operation.TorchServeEndpointBuilderFactory.TorchServeEndpointBuilder.scaleWorkerOptions(org.apache.camel.component.torchserve.client.model.ScaleWorkerOptions scaleWorkerOptions) Additional options for the scale-worker operation.TorchServeEndpointBuilderFactory.TorchServeBuilders.torchserve(String path) TorchServe (camel-torchserve) Provide access to PyTorch TorchServe servers to run inference with PyTorch models remotely Category: ai Since: 4.9 Maven coordinates: org.apache.camel:camel-torchserve Syntax:torchserve:api/operationPath parameter: api (required) The TorchServe API There are 3 enums and the value can be one of: inference, management, metrics Path parameter: operation (required) The API operation There are 10 enums and the value can be one of: ping, predictions, explanations, register, scale-worker, describe, unregister, list, set-default, metricsTorchServeEndpointBuilderFactory.TorchServeBuilders.torchserve(String componentName, String path) TorchServe (camel-torchserve) Provide access to PyTorch TorchServe servers to run inference with PyTorch models remotely Category: ai Since: 4.9 Maven coordinates: org.apache.camel:camel-torchserve Syntax:torchserve:api/operationPath parameter: api (required) The TorchServe API There are 3 enums and the value can be one of: inference, management, metrics Path parameter: operation (required) The API operation There are 10 enums and the value can be one of: ping, predictions, explanations, register, scale-worker, describe, unregister, list, set-default, metricsTorchServeEndpointBuilderFactory.TorchServeEndpointBuilder.unregisterOptions(String unregisterOptions) Additional options for the unregister operation.TorchServeEndpointBuilderFactory.TorchServeEndpointBuilder.unregisterOptions(org.apache.camel.component.torchserve.client.model.UnregisterOptions unregisterOptions) Additional options for the unregister operation.Model archive download url, support local file or HTTP(s) protocol.